Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453469 - extlinux: invalid option -- i
Summary: extlinux: invalid option -- i
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: livecd-tools
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 20:04 UTC by Lubomir Rintel
Modified: 2013-03-13 05:43 UTC (History)
4 users (show)

Fixed In Version: livecd-tools-013-8_el5_1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-27 11:53:57 UTC


Attachments (Terms of Use)

Description Lubomir Rintel 2008-06-30 20:04:44 UTC
[root@trurl lkundrak]# livecd-iso-to-disk --reset-mbr --noverify /dev/cdrom
/dev/sda1
MBR appears to be blank.
Do you want to replace the MBR on this device?
Press Enter to continue or ctrl-c to abort

Copying live image to USB stick
Updating boot config file
Installing boot loader
extlinux: invalid option -- i
extlinux: Unknown option: i
USB stick set up as live image!
[root@trurl lkundrak]#

Comment 1 Jeremy Katz 2008-06-30 20:18:59 UTC
What version of syslinux is this with?

Comment 2 Lubomir Rintel 2008-07-01 18:03:27 UTC
syslinux-3.11-4

Comment 3 Lubomir Rintel 2008-07-01 18:09:44 UTC
Some documentation, so you don't have to look yourself. Probably the -i option
was added when -U came into existence, and was assumed until then?

This is on RHEL5:

[root@trurl ~]# extlinux -h
Usage: extlinux [options] directory
  --zip        -z  Force zipdrive geometry (-H 64 -S 32)
  --sectors=#  -S  Force the number of sectors per track
  --heads=#    -H  Force number of heads

  Note: geometry is determined at boot time for devices which
  are considered hard disks by the BIOS.  Unfortunately, this is
  not possible for devices which are considered floppy disks,
  which includes zipdisks and LS-120 superfloppies.

  The -z option is useful for USB devices which are considered
  hard disks by some BIOSes and zipdrives by other BIOSes.
[root@trurl ~]# 

This is on Fedora 9:

[root@jesus ~]# extlinux -h
Usage: extlinux [options] directory
  --install    -i  Install over the current bootsector
  --update     -U  Update a previous EXTLINUX installation
  --zip        -z  Force zipdrive geometry (-H 64 -S 32)
  --sectors=#  -S  Force the number of sectors per track
  --heads=#    -H  Force number of heads
  --raid       -r  Fall back to the next device on boot failure
  --once=...   -o  Execute a command once upon boot
  --clear-once -O  Clear the boot-once command
  --reset-adv      Reset auxilliary data

  Note: geometry is determined at boot time for devices which
  are considered hard disks by the BIOS.  Unfortunately, this is
  not possible for devices which are considered floppy disks,
  which includes zipdisks and LS-120 superfloppies.

  The -z option is useful for USB devices which are considered
  hard disks by some BIOSes and zipdrives by other BIOSes.
[root@jesus ~]# 

Comment 4 Lubomir Rintel 2008-10-27 11:53:57 UTC
Fixed in livecd-tools-013-8_el5_1


Note You need to log in before you can comment on or make changes to this bug.